mxElbowEdgeHandler (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.swing.handler
Class mxElbowEdgeHandler

    java.lang.Object
      com.mxgraph.swing.handler.mxCellHandler
          com.mxgraph.swing.handler.mxEdgeHandler
              com.mxgraph.swing.handler.mxElbowEdgeHandler

    public class mxElbowEdgeHandler

extends mxEdgeHandler

Field Summary

Fields inherited from class com.mxgraph.swing.handler.mxEdgeHandler
`cloneEnabled, constrainedEvent, error, gridEnabledEvent, marker, p`

Fields inherited from class com.mxgraph.swing.handler.mxCellHandler
`bounds, first, graphComponent, handles, handlesVisible, index, preview, state`

Constructor Summary
`mxElbowEdgeHandler(mxGraphComponent graphComponent, mxCellState state)`

Method Summary
`protected Rectangle[]` | `createHandles()` Creates the rectangles that define the handles.
`String` | `getToolTipText(MouseEvent e)` Hook for subclassers to return tooltip texts for certain points on the handle.
`protected boolean` | `isFlipEvent(MouseEvent e)`
`boolean` | `isLabel(int index)` Returns true if the given index is the index of the last handle.

Methods inherited from class com.mxgraph.swing.handler.mxEdgeHandler
`connect, convertPoint, createHandle, createHandle, createPoints, createPreview, getCursor, getHandleFillColor, getIndexAt, getPreviewBounds, getSelectionColor, getSelectionStroke, isCellBendable, isCloneEnabled, isHandleVisible, isIgnoredEvent, isSource, isTarget, mouseDragged, mousePressed, mouseReleased, moveLabelTo, movePoint, paint, reset, setCloneEnabled, validateConnection`

Methods inherited from class com.mxgraph.swing.handler.mxCellHandler
`destroy, getBounds, getGraphComponent, getHandleBorderColor, getHandleCount, getIndex, getState, isActive, isHandleEnabled, isHandlesVisible, isLabelMovable, mouseMoved, refresh, setHandlesVisible, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxElbowEdgeHandler

    public mxElbowEdgeHandler(mxGraphComponent graphComponent,
                              mxCellState state)

Parameters:
  `graphComponent` -
  `state` -

Method Detail

### getToolTipText

    public String getToolTipText(MouseEvent e)

  Hook for subclassers to return tooltip texts for certain points on the handle.

  Overrides:
    `getToolTipText` in class `mxCellHandler`

### isFlipEvent

    protected boolean isFlipEvent(MouseEvent e)

  Overrides:
    `isFlipEvent` in class `mxEdgeHandler`

### isLabel

    public boolean isLabel(int index)

  Returns true if the given index is the index of the last handle.

  Overrides:
    `isLabel` in class `mxCellHandler`

### createHandles

    protected Rectangle[] createHandles()

  Description copied from class: `mxCellHandler`
  Creates the rectangles that define the handles.

  Overrides:
    `createHandles` in class `mxEdgeHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.